libzypp: ztui::PropertyTable Class Reference

libzypp 17.38.9

ztui::PropertyTable Class Reference

Aligned key/value with multiline support Key : value 1 LongKey : value 2 Multiline : line 1 line 2 Next Key : value 3. More...

`#include <zypp-tui/Table.h>`

## Public Member Functions
| PropertyTable ()
template<class KeyType>
PropertyTable & | add (const KeyType &key_r)
template<class KeyType, class ValueType>
PropertyTable & | add (const KeyType &key_r, const ValueType &val_r)
template<class KeyType>
PropertyTable & | add (const KeyType &key_r, bool val_r)
template<class ValueType>
PropertyTable & | addDetail (const ValueType &val_r)
template<class KeyType, class ValueType>
PropertyTable & | addDetail (const KeyType &key_r, const ValueType &val_r)
template<class KeyType, class Iterator_>
PropertyTable & | add (const KeyType &key_r, Iterator_ begin_r, Iterator_ end_r, bool forceDetails_r=false)
template<class KeyType, class ContainerType>
PropertyTable & | lst (const KeyType &key_r, const ContainerType &lst_r, bool forceDetails_r=false)
template<class KeyType, class ValueType>
PropertyTable & | add (const KeyType &key_r, const std::set< ValueType > &lst_r, bool forceDetails_r=false)
template<class KeyType, class ValueType>
PropertyTable & | add (const KeyType &key_r, const std::list< ValueType > &lst_r, bool forceDetails_r=false)
template<class KeyType, class ValueType>
PropertyTable & | add (const KeyType &key_r, const std::vector< ValueType > &lst_r, bool forceDetails_r=false)
PropertyTable & | paint (ansi::Color color_r, bool cond_r=true)
TableRow & | last ()
std::string & | lastKey ()
std::string & | lastValue ()

## Static Public Member Functions
static const char * | emptyListTag ()

## Private Attributes
Table | _table

## Friends
std::ostream & | operator<< (std::ostream &str, const PropertyTable &obj)

## Detailed Description

Aligned key/value with multiline support Key : value 1 LongKey : value 2 Multiline : line 1 line 2 Next Key : value 3.

Definition at line 533 of file Table.h.

## Constructor & Destructor Documentation

## ◆ PropertyTable()

ztui::PropertyTable::PropertyTable | ( |  | ) |
| inline

Definition at line 536 of file Table.h.

## Member Function Documentation

## ◆ emptyListTag()

const char * ztui::PropertyTable::emptyListTag | ( |  | ) |
| inlinestatic

Definition at line 539 of file Table.h.

## ◆ add() [1/7]

template<class KeyType>

PropertyTable & ztui::PropertyTable::add | ( | const KeyType & | key_r | ) |
| inline

Definition at line 545 of file Table.h.

## ◆ add() [2/7]

template<class KeyType, class ValueType>

PropertyTable & ztui::PropertyTable::add | ( | const KeyType & | key_r,
|  | const ValueType & | val_r )
| inline

Definition at line 549 of file Table.h.

## ◆ add() [3/7]

template<class KeyType>

PropertyTable & ztui::PropertyTable::add | ( | const KeyType & | key_r,
|  | bool | val_r )
| inline

Definition at line 553 of file Table.h.

## ◆ addDetail() [1/2]

template<class ValueType>

PropertyTable & ztui::PropertyTable::addDetail | ( | const ValueType & | val_r | ) |
| inline

Definition at line 559 of file Table.h.

## ◆ addDetail() [2/2]

template<class KeyType, class ValueType>

PropertyTable & ztui::PropertyTable::addDetail | ( | const KeyType & | key_r,
|  | const ValueType & | val_r )
| inline

Definition at line 563 of file Table.h.

## ◆ add() [4/7]

template<class KeyType, class Iterator_>

PropertyTable & ztui::PropertyTable::add | ( | const KeyType & | key_r,
|  | Iterator_ | begin_r,
|  | Iterator_ | end_r,
|  | bool | forceDetails_r = false )
| inline

Definition at line 569 of file Table.h.

## ◆ lst()

template<class KeyType, class ContainerType>

PropertyTable & ztui::PropertyTable::lst | ( | const KeyType & | key_r,
|  | const ContainerType & | lst_r,
|  | bool | forceDetails_r = false )
| inline

Definition at line 597 of file Table.h.

## ◆ add() [5/7]

template<class KeyType, class ValueType>

PropertyTable & ztui::PropertyTable::add | ( | const KeyType & | key_r,
|  | const std::set< ValueType > & | lst_r,
|  | bool | forceDetails_r = false )
| inline

Definition at line 601 of file Table.h.

## ◆ add() [6/7]

template<class KeyType, class ValueType>

PropertyTable & ztui::PropertyTable::add | ( | const KeyType & | key_r,
|  | const std::list< ValueType > & | lst_r,
|  | bool | forceDetails_r = false )
| inline

Definition at line 604 of file Table.h.

## ◆ add() [7/7]

template<class KeyType, class ValueType>

PropertyTable & ztui::PropertyTable::add | ( | const KeyType & | key_r,
|  | const std::vector< ValueType > & | lst_r,
|  | bool | forceDetails_r = false )
| inline

Definition at line 607 of file Table.h.

## ◆ paint()

PropertyTable & ztui::PropertyTable::paint | ( | ansi::Color | color_r,
|  | bool | cond_r = true )
| inline

Definition at line 612 of file Table.h.

## ◆ last()

TableRow & ztui::PropertyTable::last | ( |  | ) |
| inline

Definition at line 623 of file Table.h.

## ◆ lastKey()

std::string & ztui::PropertyTable::lastKey | ( |  | ) |
| inline

Definition at line 626 of file Table.h.

## ◆ lastValue()

std::string & ztui::PropertyTable::lastValue | ( |  | ) |
| inline

Definition at line 629 of file Table.h.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | str,
|  | const PropertyTable & | obj )
| friend

Definition at line 633 of file Table.h.

## Member Data Documentation

## ◆ _table

Table ztui::PropertyTable::_table
| private

Definition at line 637 of file Table.h.

The documentation for this class was generated from the following file:

- zypp-tui/Table.h